Subject: [tcpm] Fwd: New Version Notification for draft-touch-sne-00.txt

From: Joseph Touch <[email-masked]>
Date: Mon, 12 Apr 2021 10:16:48 -0700

Hi, all,

I’ve posted a doc that captures the solution to the sequence number extension discussion.

At this time, I’m anticipating submitting it as an individual contribution. There’s no real need to force a particular implementation, so this can just be an informal resource for anyone using sequence numbers without needing to establish a “standard” per se.

FYI.

Joe

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-touch-sne-00.txt
> Date: April 12, 2021 at 10:05:13 AM PDT
> To: "Joe Touch" <[email-masked]>, "Joseph Touch" <[email-masked]>
> 
> 
> A new version of I-D, draft-touch-sne-00.txt
> has been successfully submitted by Joe Touch and posted to the
> IETF repository.
> 
> Name:		draft-touch-sne
> Revision:	00
> Title:		Sequence Number Extension for Windowed Protocols
> Document date:	2021-04-12
> Group:		Individual Submission
> Pages:		10
> URL:            https://www.ietf.org/archive/id/draft-touch-sne-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-touch-sne/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-touch-sne
> Htmlized:       https://tools.ietf.org/html/draft-touch-sne-00
> 
> 
> Abstract:
>   Sliding window protocols use finite sequence numbers to determine
>   segment placement and order. These sequence number spaces wrap
>   around and are reused during the operation of such protocols. This
>   document describes a way to extend the size of these sequence
>   numbers at the endpoints to avoid the impact of that wrap and reuse
>   without transmitting additional information in the packet header.
>   The resulting extended sequence numbers can be used at the endpoints
>   in encryption and authentication algorithms to ensure input bit
>   patterns do not repeat over the lifetime of a connection.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
>